<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-restaurant-heading" jhiTranslate="restaurantApplicationApp.restaurant.home.createOrEditLabel">Create or edit a Restaurant</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!restaurant.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="restaurant.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.name" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                        [(ngModel)]="restaurant.name" required/>
                    <div [hidden]="!(editForm.controls.name?.dirty && editForm.controls.name?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.name?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.addressLine1" for="field_addressLine1">Address Line 1</label>
                    <input type="text" class="form-control" name="addressLine1" id="field_addressLine1"
                        [(ngModel)]="restaurant.addressLine1" required/>
                    <div [hidden]="!(editForm.controls.addressLine1?.dirty && editForm.controls.addressLine1?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.addressLine1?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.addressLine2" for="field_addressLine2">Address Line 2</label>
                    <input type="text" class="form-control" name="addressLine2" id="field_addressLine2"
                        [(ngModel)]="restaurant.addressLine2" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.city" for="field_city">City</label>
                    <input type="text" class="form-control" name="city" id="field_city"
                        [(ngModel)]="restaurant.city" required/>
                    <div [hidden]="!(editForm.controls.city?.dirty && editForm.controls.city?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.city?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.postcode" for="field_postcode">Postcode</label>
                    <input type="text" class="form-control" name="postcode" id="field_postcode"
                        [(ngModel)]="restaurant.postcode" required/>
                    <div [hidden]="!(editForm.controls.postcode?.dirty && editForm.controls.postcode?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.postcode?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.telephone" for="field_telephone">Telephone</label>
                    <input type="text" class="form-control" name="telephone" id="field_telephone"
                        [(ngModel)]="restaurant.telephone" required/>
                    <div [hidden]="!(editForm.controls.telephone?.dirty && editForm.controls.telephone?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.telephone?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.fax" for="field_fax">Fax</label>
                    <input type="text" class="form-control" name="fax" id="field_fax"
                        [(ngModel)]="restaurant.fax" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.email" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                        [(ngModel)]="restaurant.email" required/>
                    <div [hidden]="!(editForm.controls.email?.dirty && editForm.controls.email?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.email?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.restaurant.owner" for="field_owner">Owner</label>
                    <input type="text" class="form-control" name="owner" id="field_owner"
                        [(ngModel)]="restaurant.owner" required/>
                    <div [hidden]="!(editForm.controls.owner?.dirty && editForm.controls.owner?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.owner?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label jhiTranslate="restaurantApplicationApp.restaurant.customer" for="field_customer">Customer</label>
                    <select class="form-control" id="field_customer" multiple name="customer" [(ngModel)]="restaurant.customers">
                        <option [ngValue]="getSelected(restaurant.customers, customerOption)" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label jhiTranslate="restaurantApplicationApp.restaurant.invoice" for="field_invoice">Invoice</label>
                    <select class="form-control" id="field_invoice" multiple name="invoice" [(ngModel)]="restaurant.invoices">
                        <option [ngValue]="getSelected(restaurant.invoices, invoiceOption)" *ngFor="let invoiceOption of invoices; trackBy: trackInvoiceById">{{invoiceOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
